/*
 * Programming in Java, Jacobs University, 2015
 *
 * This file demonstrates how to implement a chat client that spams
 * the chat by sending increasingly large nonsense messages (and never
 * reading anything).
 */

import java.net.InetAddress;
import java.net.Socket;
import java.io.IOException;

public class ChatSpammer
{
    public static void main(String[] args)
	throws IOException
    {
	try {
	    InetAddress addr = InetAddress.getByName("localhost");
	    Socket socket = new Socket(addr, ChatClient.PORT);
	    ChatClient c = new ChatClient(socket);
	    
	    String msg = "";
	    while (true) {
		msg += "spam ";
		c.sendln(msg);
	    }
	} catch (IOException e) {
	    System.err.println(e);
	    System.exit(1);
	}
    }
}
